From: Ondrej Jirman <megi@xff.cz>
Date: Sun, 11 Dec 2022 10:39:22 +0100
Subject: power: supply: rk818-battery: Don't reset dsoc to 0 on
 rk818_vb_low_irq

The interrupt fires at 3.4V vbat which is not equivalent to 0% charge.

Signed-off-by: Ondrej Jirman <megi@xff.cz>
Required-For: PinePhone Pro
---
 drivers/power/supply/rk818_battery.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/drivers/power/supply/rk818_battery.c b/drivers/power/supply/rk818_battery.c
index 83a6615..98f3e2f 100644
--- a/drivers/power/supply/rk818_battery.c
+++ b/drivers/power/supply/rk818_battery.c
@@ -2930,7 +2930,6 @@ static irqreturn_t rk818_vb_low_irq(int irq, void *bat)
 {
 	struct rk818_battery *di = (struct rk818_battery *)bat;
 
-	di->dsoc = 0;
 	rk_send_wakeup_key();
 	BAT_INFO("lower power yet, power off system! v=%d, c=%d, dsoc=%d\n",
 		 di->voltage_avg, di->current_avg, di->dsoc);
